Subject: R:Is IPv6 died ?

From: "Leone, Guido" <[email-masked]>
Date: Tue, 15 Feb 2000 12:32:36 +0100

Technical v/s business merit discussion  is something that normally changes
a lot it's conclusions as the time goes on: the Y2K issue is an example
(btw: IPvX and Y2K similarities are on the press).
The fact that the new economy is based on an obsolete network layer protocol
is still not relevant because it is perceived as just a technical problem
that, as such, must be handled by engineers without business and financial
impacts. Internet must be left alone.
So the question is: is IPv4 to IPv6 transition something that can be
understud outside the computer networking community as 1) a needed evolution
that 2) will happen without any sort of impact ? 
I agree that a dedicated forum could be a better place to discuss this.

> ----------
> Da:	Norihiro Ishikawa[SMTP:[email-masked]]
> Inviato:	martedì 15 febbraio 2000 6.51
> A:	Thomas Narten
> Cc: 	Jim Bound; [email-masked]
> Oggetto:	Re: Is IPv6 died ?
> 
> Since I am not involved in any IP work, my position is fairly
> neutral.
> 
> But, considering the ongoing discussion, the more realistic
> approach is to extend IPv4 for fixing "lack of globally unique
> addresses" problem. Considering the ultimate deployment of IPv4,
> the solution should be compatible with IPv4 as much as possible.
> 
> Since I am not an IP expert, I am not sure whether this approach
> is feasible or not.
> 
> I understand the technical merit of IPv6. But, to deploy IPv6,
> the business and operational merit is more important.
> 
> To discuss this issue, it seems to me that a neutral forum in
> IETF is needed, with the excellent guidance of IAB.
> 
> Any comments ?
> 
> Norihiro Ishikawa
> 
> At 11:35 AM -0500 00.2.14, Thomas Narten wrote:
> > Jim,
> >
> > Couple of observations.
> >
> > The IETF has rough consensus on the selection of IPv6. Rough does not
> > mean unanimous, nor does it mean that the detractors will necessarily
> > be silent. We all know that in the end, the market will determine what
> > happens here. The official IETF stance certainly has some influence
> > here, but it is limited and by no means definitive. Vendors tend to
> > act based on business cases.
> >
> > Most, if not all of the detractors, seem to have fault with specifics
> > of IPv6 itself, but that doesn't mean they have an alternative that is
> > any more widely accepted.
> >
> >> Lastly I don't understand why very bright folks who know routing very
> >> well like Yakov don't put their engineer hats on and help make routing
> >> work with IPv6.
> >
> > Folks that say routing doesn't work with IPv6 are of course being
> > dishonest. What some folks are saying is that routing in IPv6 (longest
> > match with provider-based aggregation) is fundamentally the same as in
> > IPv4/CIDR (and this is correct). Thus, the argument goes, why bother
> > with IPv6.  Of course, that is a strawman argument. We should keep in
> > mind:
> >
> > - IPv6 wasn't designed to "fix the routing problem", despite what many
> >   folks wish. It actually fixes the "lack of globally unique
> >   addresses" problem. Plus, it has other benefits.
> >
> > - Although IPv6 may not "fix" the routing problem, there is good
> >   reason to believe it will result in smaller tables than will result
> >   with continued use of IPv4 because of:
> >    - increased ease of end-site renumbering  (if more renumbering
> >      takes place, fewer instances of broken aggregation)
> >    - more aggressive aggregation from the start (no legacy assignments
> >      to deal with)
> >    - a multihoming model based on multiple per-host prefixes
> >      (prefixes for multihomed sites are not advertised as exceptions
> >      to achieve multihoming)
> >
> > Finally, the IETF is always willing to look at new approaches to
> > existing problems. Whether a new approach merits serious work in the
> > IETF depends on the cost/benefit when weighed against the existing
> > solutions. So certainly, if a credible alternative to IPv6 was brought
> > up for consideration, the IETF would look at it. We would be foolish
> > not to. However, this is no different than with any other protocol in
> > the IETF.
> >
> > Thomas
> > --------------------------------------------------------------------
> > IETF IPng Working Group Mailing List
> > IPng Home Page:                      http://playground.sun.com/ipng
> > FTP archive:                      ftp://playground.sun.com/pub/ipng
> > Direct all administrative requests to [email-masked]
> > --------------------------------------------------------------------
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------